# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::WaveletTransform::VHFilterDD9_3 Class Reference

A short filter that's actually close to Daubechies (9,7) but with just two lifting steps.

Inheritance diagram for dirac::WaveletTransform::VHFilterDD9_3:

[legend]
Collaboration diagram for dirac::WaveletTransform::VHFilterDD9_3:

[legend]

List of all members.

## Public Member Functions

- void Split (const int xp, const int yp, const int xl, const int yl, PicArray &pic_data)
    Split a subband into 4.
- void Synth (const int xp, const int yp, const int xl, const int yl, PicArray &pic_data)
    Create a single band from 4 quadrant bands.
- double GetLowFactor () const
    Return a correction factor to compensate for non-unity power gain of low-pass filter.
- double GetHighFactor () const
    Return a correction factor to compensate for non-unity power gain of high-pass filter.
- int GetShift () const
    Return the value of the additional bitshift.

## Member Function Documentation

void dirac::WaveletTransform::VHFilterDD9_3::Split | ( | const int | xp,
|  | const int | yp,
|  | const int | xl,
|  | const int | yl,
|  | PicArray & | pic_data |
| ) |  |  | `[virtual]`

Implements dirac::WaveletTransform::VHFilter.

void dirac::WaveletTransform::VHFilterDD9_3::Synth | ( | const int | xp,
|  | const int | yp,
|  | const int | xl,
|  | const int | yl,
|  | PicArray & | pic_data |
| ) |  |  | `[virtual]`

Implements dirac::WaveletTransform::VHFilter.

double dirac::WaveletTransform::VHFilterDD9_3::GetLowFactor | ( |  | ) | const`[inline, virtual]`

Implements dirac::WaveletTransform::VHFilter.

double dirac::WaveletTransform::VHFilterDD9_3::GetHighFactor | ( |  | ) | const`[inline, virtual]`

Implements dirac::WaveletTransform::VHFilter.

int dirac::WaveletTransform::VHFilterDD9_3::GetShift | ( |  | ) | const`[inline, virtual]`

Implements dirac::WaveletTransform::VHFilter.

The documentation for this class was generated from the following file:

- wavelet_utils.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.